'On Error Resume Next
'****************************************************************************
'
' Get SCCM Folder ID
' --------------------------------------------------------------------------
' Script to get a folder id of a sccm folder object.
'
' CONFIG:

strComputer = "" 					'SCCM Server DNS or IP (if connection to target domain is blocked)
strUserName = "" 					'Credentials with syntax: LogonDomain\Username
strPassword = ""					'Password
sitecode = ""						'3-digit site code of the sccm server
FolderName = ""						'Name of the folder you are looking for

'****************************************************************************

wscript.echo ""
wscript.echo "Connecting to """ & strComputer & """ (" & sitecode & ")..."

Set objSWbemLocator = CreateObject("WbemScripting.SWbemLocator") 
Set objWMIService = objSWbemLocator.ConnectServer(strComputer, "root\SMS\site_" & sitecode, strUserName, strPassword)

Counter = 0

wscript.echo "Looking for folder """ & FolderName & """..."

Set colItems = objWMIService.ExecQuery("Select * from SMS_ObjectContainerNode",,48)
For Each objItem in colItems

	if objItem.Name = FolderName Then
		Wscript.Echo "Folder was found with ID: " & objItem.ContainerNodeID & " (ObjectTypeName: " & objItem.ObjectTypeName & ")"
		Counter = Counter +1
	End if

Next

If Counter = 0 Then
	Wscript.Echo "Folder with name """ & FolderName & """ was not found on server."
End If